MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DatabaseError Class Referencefinal

`#include <DatabaseError.hxx>`

Inheritance diagram for DatabaseError:
[legend]
Collaboration diagram for DatabaseError:
[legend]

## Public Member Functions
| DatabaseError (DatabaseErrorCode _code, const char *msg)
DatabaseErrorCode | GetCode () const

## Detailed Description

Definition at line 37 of file DatabaseError.hxx.

## Constructor & Destructor Documentation

DatabaseError::DatabaseError | ( | DatabaseErrorCode | _code,
|  | const char * | msg
| ) |  |
| inline

Definition at line 41 of file DatabaseError.hxx.

## Member Function Documentation

DatabaseErrorCode DatabaseError::GetCode | ( |  | ) | const
| inline

Definition at line 44 of file DatabaseError.hxx.

The documentation for this class was generated from the following file:

- db/DatabaseError.hxx